Each child brand's views, engagements, posts, creators and campaigns
GET
/api/public/v1/content/brand_progressLiveAnswers from your brand's records now.
Operation id getContentBrandProgress
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/content/brand_progress" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| campaign_ids | query | string | |
| platform | query | string | One of instagramtik_tokyoutubefacebooktwitter |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.items | array of object | |
| data.items[].[].active_campaigns | integer | |
| data.items[].[].campaigns | integer | |
| data.items[].[].creators | integer | |
| data.items[].[].engagements | integer | |
| data.items[].[].logo_url | string, nullable | |
| data.items[].[].name | string | |
| data.items[].[].organization_id | integer | |
| data.items[].[].posts | integer | |
| data.items[].[].slug | string | |
| data.items[].[].views | integer | |
| meta | object | |
| meta.campaign_ids | array of integer | |
| meta.organization_id | integer | |
| meta.platform | string, nullable | |
| meta.scope | string | One of familybrandcampaign |
| success | boolean |
Example
{
"data": {
"items": [
{
"active_campaigns": 3,
"campaigns": 3,
"creators": 3,
"engagements": 3,
"logo_url": "https://example.com/p/1",
"name": "Example name",
"organization_id": 1024,
"posts": 3,
"slug": "string",
"views": 3
}
]
},
"meta": {
"campaign_ids": [
3
],
"organization_id": 1024,
"platform": "string",
"scope": "family"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.